Package org.apache.any23.validator.rule

## Class MetaNameMisuseRule

- java.lang.Object
- - org.apache.any23.validator.rule.MetaNameMisuseRule

- All Implemented Interfaces:
    `Rule`

      public class MetaNameMisuseRule
      extends Object
      implements Rule

  Checks whether the meta attribute name is used to contain a property.
  Author:
    Davide Palmisano (palmisano@fbk.eu), Michele Mostarda (mostarda@fbk.eu)
  See Also:
    `MetaNameMisuseFix`

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `ERRORED_META_NODES` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MetaNameMisuseRule()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `applyOn​(DOMDocument document, RuleContext context, ValidationReportBuilder validationReportBuilder)` | Applies this rule to the given document.
    `String` | `getHRName()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ERRORED_META_NODES

          public static final String ERRORED_META_NODES

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### MetaNameMisuseRule

          public MetaNameMisuseRule()

  - ### Method Detail

    - #### getHRName

          public String getHRName()

      Specified by:
        `getHRName` in interface `Rule`
      Returns:
        returns the human readable name for this rule.

    - #### applyOn

          public boolean applyOn​(DOMDocument document,
                                 RuleContext context,
                                 ValidationReportBuilder validationReportBuilder)

      Description copied from interface: `Rule`
      Applies this rule to the given document.
      Specified by:
        `applyOn` in interface `Rule`
      Parameters:
        `document` - the target document.
        `context` - the context used to pass data to an eventual `Fix`.
        `validationReportBuilder` - the report builder used to collect rule reporting.
      Returns:
        `true` if al least an issue is detected, `false` otherwise.